Bug 59287 - traceback from KDE print wizard
traceback from KDE print wizard
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 13:44 EST by Tim Waugh
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-02 03:57:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-02-04 13:44:05 EST
Description of Problem:
While playing around with the KDE print wizard I got this traceback.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020129.1
kdelibs-3.0.0-0.cvs20020128.3

How Reproducible:
Don't know.

Steps to Reproduce:
Don't remember what I did.

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 10981)]
0x40fdcff9 in wait4 () from /lib/i686/libc.so.6
#0  0x40fdcff9 in wait4 () from /lib/i686/libc.so.6
#1  0x4106b690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e16483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40608aa9 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40e147fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x40a2a92d in QProgressDialog::bar() const ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#7  0x41c4c3e4 in KMDBCreator::slotReceivedStdout(KProcess*, char*, int) ()
   from /usr/lib/libkdeprint_management.so.4
#8  0x41c4c7b2 in KMDBCreator::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeprint_management.so.4
#9  0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#10 0x405cd05e in KProcess::receivedStdout(KProcess*, char*, int) ()
   from /usr/lib/libkdecore.so.4
#11 0x405cbb48 in KProcess::childOutput(int) () from /usr/lib/libkdecore.so.4
#12 0x405cb949 in KProcess::slotChildOutput(int) ()
   from /usr/lib/libkdecore.so.4
#13 0x405cd3b6 in KProcess::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdecore.so.4
#14 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0x408ba5dd in QObject::activate_signal(int, int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0x40b60c62 in QSocketNotifier::activated(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0x408d5250 in QSocketNotifier::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0x4086bce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0x4086b5c3 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0x40599bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#21 0x408124a5 in sn_activate() () from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x40812973 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x4086d2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x40a0474d in QDialog::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x41c536b4 in add_printer_wizard ()
   from /usr/lib/libkdeprint_management.so.4
#26 0x417ce783 in KMManager::addPrinterWizard(QWidget*) ()
   from /usr/lib/libkdeprint.so.4
#27 0x417e9346 in KPrintDialog::slotWizard() () from /usr/lib/libkdeprint.so.4
#28 0x417e9cac in KPrintDialog::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeprint.so.4
#29 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x408ba3ef in QObject::activate_signal(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x40b65dfe in QButton::clicked() () from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0x409377ed in QButton::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x408ecb49 in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x4086bce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x4086b442 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x40599bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#37 0x40815e27 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0x40813061 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0x40812bc6 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x4086d2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0x40a0474d in QDialog::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#42 0x417ea81e in KPrinter::setup(QWidget*, QString const&, bool) ()
   from /usr/lib/libkdeprint.so.4
#43 0x41619f43 in KHTMLView::print() () from /usr/lib/libkhtml.so.4
#44 0x4163b7ba in KHTMLPartBrowserExtension::print() ()
   from /usr/lib/libkhtml.so.4
#45 0x4163fe45 in KHTMLPartBrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkhtml.so.4
#46 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#47 0x408ba3ef in QObject::activate_signal(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#48 0x403bfbfb in KAction::activated() () from /usr/lib/libkdeui.so.4
#49 0x403b124f in KAction::slotActivated() () from /usr/lib/libkdeui.so.4
#50 0x403bfdef in KAction::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeui.so.4
#51 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#52 0x40b5fed2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#53 0x408d3078 in QSignal::activate() () from /usr/lib/qt3/lib/libqt-mt.so.3
#54 0x4099a406 in QPopupMenu::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#55 0x408ecb49 in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#56 0x4086bce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#57 0x4086b442 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#58 0x40599bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#59 0x4081595b in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#60 0x40813061 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#61 0x40812bc6 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#62 0x4086d2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#63 0x408125bd in QApplication::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#64 0x412befd7 in main () from /usr/lib/konqueror.so
#65 0x0804d10e in strcpy ()
#66 0x0804de4a in strcpy ()
#67 0x0804e389 in strcpy ()
#68 0x0804f0f0 in strcpy ()
#69 0x40f3c108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Bill Nottingham 2002-03-28 03:56:17 EST
Any better with current builds?
Comment 2 Tim Waugh 2002-04-02 03:57:31 EST
I can't reproduce it.  But then, I couldn't at the time either..
Comment 3 Bernhard Rosenkraenzer 2002-04-05 04:52:05 EST
Assuming it's fixed.

Note You need to log in before you can comment on or make changes to this bug.